%define modname moksha.hub

# disable tests on BS but please run them on local iurt
%define with_test 0

Name:           python-moksha-hub
Version:        1.4.6
Release:        %mkrel 3
Summary:        Hub components for Moksha

Group:          Development/Python
License:        ASL 2.0
URL:            http://pypi.python.org/pypi/moksha.hub
Source0:        http://pypi.python.org/packages/source/m/%{modname}/%{modname}-%{version}.tar.gz

BuildArch:      noarch


BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-nose
BuildRequires:  python-mock

BuildRequires:  python-moksha-common >= 1.0.6
BuildRequires:  python-twisted-core
BuildRequires:  python-stomper
BuildRequires:  python-txzmq
BuildRequires:  python-txws
BuildRequires:  python-daemon
BuildRequires:  python-six

BuildRequires:  python-websocket-client

Requires:       python-moksha-common >= 1.0.6
Requires:       python-twisted-core
Requires:       python-stomper
Requires:       python-txzmq
Requires:       python-txws
Requires:       python-daemon
Requires:       python-six

# When installed, these enable new plugins for the moksha.hub
#BuildRequires:  python-qpid
#Requires:       python-qpid


%description
Hub components for Moksha.

%prep
%setup -q -n %{modname}-%{version}

# Removed twisted from the list of deps in setup.py.
%{__sed} -i 's/"Twisted",//' setup.py

# *Experimental* support for python-zmq-13.0.0 in cauldron.
%{__sed} -i 's/pyzmq<=2.2.0.1/pyzmq/' setup.py

%build
%py2_build

%install
%py2_install

%if 0%{?with_test}
%check
%{__python2} setup.py test
%endif

%files
%doc README COPYING AUTHORS
%{python2_sitelib}/moksha/hub/
%{python2_sitelib}/%{modname}-%{version}*
%{_bindir}/moksha-hub



%changelog
* Tue Mar 22 2016 philippem <philippem> 1.4.6-3.mga6
+ Revision: 994174
- disable tests on BS

* Sat Feb 20 2016 umeabot <umeabot> 1.4.6-2.mga6
+ Revision: 972475
- Mageia 6 Mass Rebuild

* Sun Nov 08 2015 philippem <philippem> 1.4.6-1.mga6
+ Revision: 898892
- update to 1.4.6

* Wed Oct 15 2014 umeabot <umeabot> 1.4.1-4.mga5
+ Revision: 749879
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.4.1-3.mga5
+ Revision: 729098
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.4.1-2.mga5
+ Revision: 688158
- Mageia 5 Mass Rebuild

* Mon Aug 11 2014 philippem <philippem> 1.4.1-1.mga5
+ Revision: 661695
- update to 1.4.1

* Tue Aug 05 2014 philippem <philippem> 1.4.0-1.mga5
+ Revision: 659984
- update to 1.4.0

* Thu Jul 03 2014 philippem <philippem> 1.3.4-1.mga5
+ Revision: 642762
- update to 1.3.4

* Mon Jun 23 2014 philippem <philippem> 1.3.3-1.mga5
+ Revision: 639000
- update to 1.3.3

  + pterjan <pterjan>
    - Rebuild for new Python

* Fri Apr 25 2014 philippem <philippem> 1.3.2-1.mga5
+ Revision: 618097
- update to 1.3.2

* Mon Feb 24 2014 philippem <philippem> 1.2.2-1.mga5
+ Revision: 596655
- imported package python-moksha-hub

